import os
import pandas as pd

class Reference(object):

    @staticmethod
    def getQuenchHeaterReferenceDischarges():
        selectedPath = os.path.dirname(__file__)
        fullPath = os.path.join(selectedPath, 'quench_heaters/ReferenceDischarges.csv')
        return pd.read_csv(fullPath, index_col=0)


    def findQhTimestampForMagnetNameFromReference(qhReferenceDischarges, magnet):
        # Look for the reference curve timestamp
        if not qhReferenceDischarges[qhReferenceDischarges['magnetName'] == magnet].empty:
            return qhReferenceDischarges[qhReferenceDischarges['magnetName'] == magnet]['timestamp'].values[0]
        else:
            return -1
