import unittest
from lhcsmapi.reference.Reference import Reference

class TestReference(unittest.TestCase):

    def test_getCrateNameFromMagnetName_RB(self):
        """Tests that Metadata.getCrateToMagnetAndVoltageFeelerMapping() returns correct name"""

        #arrange
        cell = "A8R1"
        timestamp = 1417014253613000000

        # act
        refDischargeDf = Reference.getQuenchHeaterReferenceDischarges()

        # assert
        self.assertEqual(timestamp, refDischargeDf[refDischargeDf["magnetName"] == cell]["timestamp"].values[0])

